Index: gnome/gnome-intro.xml
===================================================================
--- gnome/gnome-intro.xml	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
+++ gnome/gnome-intro.xml	(revision f801af3baa8dd5e4afe7480f39bfcd4bda9b6baa)
@@ -68,5 +68,5 @@
 <filename class='directory'>/var</filename>.  You should consider using
 the <application><acronym>GNOME</acronym></application> 1.4 hint
-located at <ulink url="http://hints.linuxfromscratch.org/hints"/> if you
+located at <ulink url="http://www.linuxfromscratch.org/hints/"/> if you
 have no interest in <application><acronym>GNOME</acronym></application>-&gnome-version;.</para>
 
@@ -82,5 +82,3 @@
 <xref linkend="docbook-xsl"/> and <xref linkend="libfam"/></para>
 
-
-
 </partintro>
Index: gnome/otherlibs/gnome-print/gnome-print.ent
===================================================================
--- gnome/otherlibs/gnome-print/gnome-print.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
+++ gnome/otherlibs/gnome-print/gnome-print.ent	(revision f801af3baa8dd5e4afe7480f39bfcd4bda9b6baa)
@@ -5,5 +5,5 @@
 <!ENTITY gnome-print-desc SYSTEM "gnome-print-desc.xml">
 <!ENTITY gnome-print-version "0.37">
-<!ENTITY gnome-print-download-http "http://ibiblio.org/pub/Linux/X11/gnome/sources/gnome-print/0.37/gnome-print-&gnome-print-version;.tar.bz2">
+<!ENTITY gnome-print-download-http "http://ftp.linux.org.uk/mirrors/ftp.gnome.org/sources/gnome-print/0.37/gnome-print-&gnome-print-version;.tar.bz2">
 <!ENTITY gnome-print-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-print/0.37/gnome-print-&gnome-print-version;.tar.bz2">
 <!ENTITY gnome-print-size "756 KB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
+++ introduction/welcome/changelog.xml	(revision f801af3baa8dd5e4afe7480f39bfcd4bda9b6baa)
@@ -13,6 +13,5 @@
 
 <listitem><para>November 4th, 2003 [igor]: Updated outdated links
-where possible, removed the rest (parts I to
-VI).</para></listitem>
+where possible, removed the rest.</para></listitem>
 
 <listitem><para>November 2nd, 2003 [igor]: Added a patch for
Index: multimedia/cdwriteutils/cdrdao/cdrdao.ent
===================================================================
--- multimedia/cdwriteutils/cdrdao/cdrdao.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
+++ multimedia/cdwriteutils/cdrdao/cdrdao.ent	(revision f801af3baa8dd5e4afe7480f39bfcd4bda9b6baa)
@@ -5,5 +5,5 @@
 <!ENTITY cdrdao-version "1.1.7">
 <!ENTITY cdrdao-download-http "http://telia.dl.sourceforge.net/sourceforge/cdrdao/cdrdao-&cdrdao-version;.src.tar.bz2">
-<!ENTITY cdrdao-download-ftp "ftp://ftp.gtlib.cc.gatech.edu/pub/rocklinux/ROCK-1.5/ext-archive/cdrdao/cdrdao-&cdrdao-version;.src.tar.bz2">
+<!ENTITY cdrdao-download-ftp "ftp://sunsite.lanet.lv/pub/mirror/Slackware/source/ap/cdrdao/cdrdao-&cdrdao-version;.src.tar.bz2">
 <!ENTITY cdrdao-size "1.1 MB">
 <!ENTITY cdrdao-buildsize "33 MB">
Index: multimedia/libdriv/audiofile/audiofile.ent
===================================================================
--- multimedia/libdriv/audiofile/audiofile.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
+++ multimedia/libdriv/audiofile/audiofile.ent	(revision f801af3baa8dd5e4afe7480f39bfcd4bda9b6baa)
@@ -5,5 +5,5 @@
 <!ENTITY audiofile-version "0.2.3">
 <!ENTITY audiofile-download-http "http://www.zentek-international.com/mirrors/gnome/desktop/2.0/2.0.1/sources/audiofile-&audiofile-version;.tar.gz">
-<!ENTITY audiofile-download-ftp "ftp://oss.sgi.com/projects/audiofile/download/audiofile-&audiofile-version;.tar.gz">
+<!ENTITY audiofile-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/audiofile/0.2/audiofile-&audiofile-version;.tar.gz">
 <!ENTITY audiofile-size "328 KB">
 <!ENTITY audiofile-buildsize "22.7 MB">
Index: multimedia/libdriv/libdvdread/libdvdread.ent
===================================================================
--- multimedia/libdriv/libdvdread/libdvdread.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
+++ multimedia/libdriv/libdvdread/libdvdread.ent	(revision f801af3baa8dd5e4afe7480f39bfcd4bda9b6baa)
@@ -6,5 +6,5 @@
 <!ENTITY libdvdread-version "0.9.4">
 <!ENTITY libdvdread-download-http "http://www.dtek.chalmers.se/groups/dvd/dist/libdvdread-&libdvdread-version;.tar.gz">
-<!ENTITY libdvdread-download-ftp "ftp://www.videolan.org/pub/videolan/vls/0.5.3/contrib/libdvdread-&libdvdread-version;.tar.gz">
+<!ENTITY libdvdread-download-ftp "">
 <!ENTITY libdvdread-size "251 KB">
 <!ENTITY libdvdread-buildsize "4.0 MB">
Index: multimedia/libdriv/nas/nas.ent
===================================================================
--- multimedia/libdriv/nas/nas.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
+++ multimedia/libdriv/nas/nas.ent	(revision f801af3baa8dd5e4afe7480f39bfcd4bda9b6baa)
@@ -7,5 +7,5 @@
 <!ENTITY nas-version "1.6">
 <!ENTITY nas-download-http "http://radscan.com/nas/nas-&nas-version;.src.tar.gz">
-<!ENTITY nas-download-ftp "ftp://ftp.azc.uam.mx/mirrors/gnu/xemacs/aux/nas-&nas-version;.src.tar.gz">
+<!ENTITY nas-download-ftp "ftp://ftp.us.xemacs.org/pub/xemacs/aux/nas-&nas-version;.src.tar.gz">
 <!ENTITY nas-size "1.0 MB">
 <!ENTITY nas-buildsize "13 MB">
Index: pst/ps/xpdf/xpdf.ent
===================================================================
--- pst/ps/xpdf/xpdf.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
+++ pst/ps/xpdf/xpdf.ent	(revision f801af3baa8dd5e4afe7480f39bfcd4bda9b6baa)
@@ -7,5 +7,5 @@
 <!ENTITY xpdf-version "2.02pl1">
 <!ENTITY xpdf-download-http "http://gd.tuwien.ac.at/publishing/xpdf/xpdf-&xpdf-version;.tar.gz">
-<!ENTITY xpdf-download-ftp "ftp://ftp.foolabs.com/pub/xpdf/xpdf-&xpdf-version;.tar.gz">
+<!ENTITY xpdf-download-ftp "ftp://sunsite.lanet.lv/pub/unix/Slackware-9.0/source/xap/xpdf/xpdf-&xpdf-version;.tar.gz">
 <!ENTITY xpdf-size "472 KB">
 <!ENTITY xpdf-buildsize "20.4 MB">
Index: pst/sgml/sgml-dtd/sgml-dtd.ent
===================================================================
--- pst/sgml/sgml-dtd/sgml-dtd.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
+++ pst/sgml/sgml-dtd/sgml-dtd.ent	(revision f801af3baa8dd5e4afe7480f39bfcd4bda9b6baa)
@@ -7,5 +7,5 @@
 <!ENTITY sgml-dtd-version "4.2">
 <!ENTITY sgml-dtd-download-http "http://www.docbook.org/sgml/4.2/docbook-&sgml-dtd-version;.zip">
-<!ENTITY sgml-dtd-download-ftp "ftp://ftp.gtlib.cc.gatech.edu/pub/rocklinux/ROCK-1.5/ext-archive/docbook/docbook-&sgml-dtd-version;.zip">
+<!ENTITY sgml-dtd-download-ftp "ftp://ftp.ibiblio.org/pub/Linux/distributions/rootlinux/ports/x/docbook/docbook-&sgml-dtd-version;.zip">
 <!ENTITY sgml-dtd-size "68 KB">
 <!ENTITY sgml-dtd-buildsize "376 KB">
Index: pst/xml/docbook-xsl/docbook-xsl.ent
===================================================================
--- pst/xml/docbook-xsl/docbook-xsl.ent	(revision 826629394a23d8c68eae3e69d0ec80c17dbf850f)
+++ pst/xml/docbook-xsl/docbook-xsl.ent	(revision f801af3baa8dd5e4afe7480f39bfcd4bda9b6baa)
@@ -6,5 +6,5 @@
 <!ENTITY docbook-xsl-version "1.62.4">
 <!ENTITY docbook-xsl-download-http "http://telia.dl.sourceforge.net/sourceforge/docbook/docbook-xsl-&docbook-xsl-version;.tar.gz">
-<!ENTITY docbook-xsl-download-ftp "ftp://ftp.us.sinuspl.net/pub/src/docbook-xsl-&docbook-xsl-version;.tar.gz">
+<!ENTITY docbook-xsl-download-ftp "">
 <!ENTITY docbook-xsl-size "1.3 MB">
 <!ENTITY docbook-xsl-buildsize "12.2 MB">
